package com.diagbot.model.ai;


import com.diagbot.client.CRFServiceClient;
import com.diagbot.dto.WordBillCrfDTO;
import com.diagbot.vo.IndicationPushVO;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class AIAnalyze {

    private CRFServiceClient crfServiceClient;
    BeHospitalizedAI beHospitalizedAI = new BeHospitalizedAI();

    public AIAnalyze(CRFServiceClient crfService) {
        this.crfServiceClient = crfService;
    }

    public void aiProcess(IndicationPushVO inputInfo, WordBillCrfDTO wordBillCrfDTO) {
        beHospitalizedAI.medrec(inputInfo,wordBillCrfDTO,crfServiceClient);
    }
}